import { DropdownComponent } from './component';
export type DropdownEvents = {
    listenOnClickOutside(ev: UIEvent): any;
    listenOnClick(ev: UIEvent): any;
};
export declare class DropdownEventsUtil {
    private component;
    connectedCallback(component: DropdownComponent): void;
    handlePointerDown: () => void;
    handleKeydown: (ev: any) => void;
    handleFocus(ev: FocusEvent): void;
    handleBlur(ev: FocusEvent): void;
    handleClick(ev: MouseEvent): void;
    handleOutsideClick(ev: UIEvent): void;
}
